#ifndef STEREOBUTTONACTION_H
#define STEREOBUTTONACTION_H

#include <tdeaction.h>

namespace NoatunStdAction
{

/**
 * No, I never owned StereoButtonAction, but I'm tired
 * and PlayAction is already taken.
 */
class StereoButtonAction : public TDEAction
{
Q_OBJECT
  
public:
	StereoButtonAction(const TQString& text, int accel = 0, TQObject* parent = 0, const char* name = 0 );
	StereoButtonAction(const TQString& text, int accel, const TQObject* receiver, const char* slot, TQObject* parent, const char* name = 0 );
	StereoButtonAction(const TQString& text, const TQIconSet& pix, int accel = 0, TQObject* parent = 0, const char* name = 0 );
	StereoButtonAction(const TQString& text, const TQString& pix, int accel = 0, TQObject* parent = 0, const char* name = 0 );
	StereoButtonAction(const TQString& text, const TQIconSet& pix, int accel, const TQObject* receiver, const char* slot, TQObject* parent, const char* name = 0 );
	StereoButtonAction(const TQString& text, const TQString& pix, int accel, const TQObject* receiver, const char* slot, TQObject* parent, const char* name = 0 );
public slots:
	void disable(void);
	void enable(void);
	void toggleEnabled(void);
};

}

#endif
